com.ihr.xbrl.pojo

## Class DTSContainer

- java.lang.Object
- - com.ihr.xbrl.pojo.DTSContainer

- All Implemented Interfaces:
    HasId, java.io.Serializable

      public class DTSContainer
      extends java.lang.Object
      implements java.io.Serializable, HasId

  The Class DTSContainer.
  Author:
    Ignacio
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DTSContainer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<QName,XBRLConcept>` | `getConcepts()` Gets the concepts.
    `java.lang.Long` | `getId()` Gets the id.
    `java.lang.String` | `getName()` Gets the name.
    `java.util.Set<XBRLResource>` | `getResources()` Gets the resources.
    `java.util.Set<XBRLDocument>` | `getRoots()` Gets the roots.
    `void` | `setConcepts(java.util.Map<QName,XBRLConcept> concepts)` Sets the concepts.
    `void` | `setId(java.lang.Long id)` Sets the id.
    `void` | `setName(java.lang.String name)` Sets the name.
    `void` | `setResources(java.util.Set<XBRLResource> resources)` Sets the resources.
    `void` | `setRoots(java.util.Set<XBRLDocument> roots)` Sets the roots.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DTSContainer

          public DTSContainer()

  - ### Method Detail

    - #### getConcepts

          public java.util.Map<QName,XBRLConcept> getConcepts()

      Gets the concepts.
      Returns:
        the concepts

    - #### setConcepts

          public void setConcepts(java.util.Map<QName,XBRLConcept> concepts)

      Sets the concepts.
      Parameters:
        `concepts` - the concepts to set

    - #### getId

          public java.lang.Long getId()

      Gets the id.
      Specified by:
        `getId` in interface `HasId`
      Returns:
        the id

    - #### setId

          public void setId(java.lang.Long id)

      Sets the id.
      Specified by:
        `setId` in interface `HasId`
      Parameters:
        `id` - the id to set

    - #### getName

          public java.lang.String getName()

      Gets the name.
      Returns:
        the name

    - #### setName

          public void setName(java.lang.String name)

      Sets the name.
      Parameters:
        `name` - the name to set

    - #### getResources

          public java.util.Set<XBRLResource> getResources()

      Gets the resources.
      Returns:
        the resources

    - #### setResources

          public void setResources(java.util.Set<XBRLResource> resources)

      Sets the resources.
      Parameters:
        `resources` - the resources to set

    - #### getRoots

          public java.util.Set<XBRLDocument> getRoots()

      Gets the roots.
      Returns:
        the roots

    - #### setRoots

          public void setRoots(java.util.Set<XBRLDocument> roots)

      Sets the roots.
      Parameters:
        `roots` - the roots to set